using DevExpress.XtraEditors;
using LolDataRequestLib;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using static lol_coder.Data.DataControl;
using static LolDataRequestLib.DataManager;

namespace lol_coder.Forms.Frame
{
    public partial class DataFrame : UserControl
    { 

        MainForm mainForm;
        public DataFrame(MainForm _mainForm)
        {
            InitializeComponent();

            mainForm = _mainForm; 
        }

        private void cmb_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (cmb.Text.Equals("POG"))
            {
                DataTable dt = DataManager.getInstance().라이브데이터요청(DBDefine.요청데이터분류.팟지).Tables[0];
                dataGridView1.DataSource = dt;
            }
            
            
        }

        private void button1_Click(object sender, EventArgs e)
        {
            cmb.Properties.Items.Clear();

            cmb.Properties.Items.Add("POG");
        }
    }
}
